Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162726 - Wake on LAN (WOL) settings not remembered after second powerup 8139too driver
Summary: Wake on LAN (WOL) settings not remembered after second powerup 8139too driver
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: ethtool
Version: 4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Garzik
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-08 02:08 UTC by Chris Conrad
Modified: 2013-07-03 02:25 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-19 23:32:31 UTC


Attachments (Terms of Use)

Description Chris Conrad 2005-07-08 02:08:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
I enable Wake On LAN with ethertool for my Ethernet card: 'ethtool -s eth0 wol g'.  The Wake on LAN work for the first power on (that is, I shutdown and can do a wol). However on the next powerdown the WOL does not work.  After manual poweron the ethtool query indicates the ethernet card did not retain the WOL settings. I need to issue 'ethtool -s eth0 wol g' again.

It's not clear if it is something with ethtool or the ethernet driver.  Ethtool reports the following information for the network device:

driver: 8139too
version: 0.9.27
firmware-version:
bus-info: 0000:00:0e.0

The description is: Realtek Semiconductor Co., Ltd. RTL8139/8139C/8139C+.

   

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Enable WOL settings: ethtool -s eth0 wol g
2. Power off computer
3. Send WOL, i.e. magic packet, or other WOL packet to power on computer.
4. Power off computer second time.
5. Send WOL. WOL will fail.
6. Manually power on computer. Verify that WOL settings were forgotten or unset.
  

Additional info:


Note You need to log in before you can comment on or make changes to this bug.